﻿@model CaseTecnicoWeb.Models.ViewModels.ArvoresViewModel

@{
    ViewData["Title"] = "Cadastrar";
}

<h1>Cadastrar</h1>

<hr />
<div class="row">
    <div class="col-md-4">
        <form asp-action="Create">
            <div asp-validation-summary="ModelOnly" class="text-danger"></div>
            <div class="form-group">
                <label asp-for="Descricao" class="control-label"></label>
                <input asp-for="Descricao" class="form-control" />
                <span asp-validation-for="Descricao" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Idade" class="control-label"></label>
                <input asp-for="Idade" class="form-control" />
                <span asp-validation-for="Idade" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="EspeciesId" class="control-label"></label>
                @Html.DropDownList("EspeciesId", new SelectList(ViewBag.Especies, "EspeciesId", "Descricao"),new { @class="form-control"})
                <span asp-validation-for="EspeciesId" class="text-danger"></span>
            </div>
            <div class="form-group">
                <input type="submit" value="Create" class="btn btn-primary" />
            </div>
        </form>
    </div>
</div>

<div>
    <a asp-action="Index">Voltar para a Lista</a>
</div>

@section Scripts {
    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}
}
